#Thanks Hacktivity team for the inspiration

import easydraw, system, badge, ugfx, sys

def action_exit(pushed):
    if (pushed):
        # to turn off all the leds at ones
        badge.led(6,0,0,0)
        # go back to the home screen
        system.home()

def start_leds():
    badge.init()

    # do the magick endlesly
    while True:
        # loop over the leds
        for led_id in [0,1,2,3,4,5]:
            # default, turn off all the leds
            r, g, b = [119,75,58]

            badge.led(led_id,r,g,b)
            
def main():
    ugfx.input_init()
    easydraw.messageCentered("", False, "/lib/esetlogo/logo.png")
    ugfx.input_attach(ugfx.BTN_B, action_exit)
    ugfx.input_attach(ugfx.BTN_START, action_exit)
    start_leds()
    sys.stdin.read(1) #Wait for any key
    action_exit(True)

main()